Package org.apache.felix.http.base.internal.service

## Class ServletContextManager

- java.lang.Object
- - org.apache.felix.http.base.internal.service.ServletContextManager

    public final class ServletContextManager
    extends Object

### Constructor Summary

Constructors
`ServletContextManager​(org.osgi.framework.Bundle bundle, javax.servlet.ServletContext context, boolean sharedAttributes, PerContextHandlerRegistry registry)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ExtServletContext` `getServletContext​(org.osgi.service.http.HttpContext httpContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServletContextManager

    public ServletContextManager​(org.osgi.framework.Bundle bundle,
                                 javax.servlet.ServletContext context,
                                 boolean sharedAttributes,
                                 PerContextHandlerRegistry registry)

### Method Detail

#### getServletContext

    public ExtServletContext getServletContext​(org.osgi.service.http.HttpContext httpContext)